package function;

import java.util.Iterator;
import java.util.List;

public class CalcFunction  {

  public static double summation( List list )  {
    if  ( list == null  ||  list.isEmpty() )  return 0.0;
    double sum = 0.0;
    Iterator itr = list.iterator();
    while( itr.hasNext() )  {
      double num = new Double( (String)itr.next() ).doubleValue();
      sum += num;
    }
    return sum;
  }

  public static double average( List list )  {
    if  ( list == null  ||  list.isEmpty() )  return 0.0;
    return summation( list ) / list.size();
  }

  public static boolean isNumber( String s )  {
    try {
      double num = new Double( s ).doubleValue();
    } catch( java.lang.NumberFormatException ex ) {
      return false;
    }
    return true;
  }

}
