<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(fmt) --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<fmt:requestEncoding value="JISAutoDetect" />
<c:set var="name" value="${param.name}" />
<c:if test="${empty name}"><c:set var="name" value="" /></c:if>
<c:choose>
  <c:when test="${param.lang eq 'english'}"><c:set var="locale" value="en_US" /></c:when>
  <c:when test="${param.lang eq 'deutsch'}"><c:set var="locale" value="de_DE" /></c:when>
  <c:otherwise><c:set var="locale" value="ja_JP" /></c:otherwise>
</c:choose>
<fmt:setLocale value="${locale}" />
<fmt:setBundle basename="resource" />
<fmt:message key="dialogue" var="dialogue" scope="page">
  <fmt:param value="${name}" />
</fmt:message>
<html>
  <head>
    <title>My First JSTL (fmt04.jsp:message)</title>
  </head>
  <body>
    <h3>ñʲ</h3>
    <b><fmt:message key="language" /></b><br>
    <fmt:message>goodmorning</fmt:message><br>
    ${dialogue}
    <form method="post" action="fmt04.jsp">
      ̾<input type="text" name="name"><br>
      <input type="radio" name="lang" value="japanese" checked>ܸ
      <input type="radio" name="lang" value="english">Ѹ
      <input type="radio" name="lang" value="deutsch">ɥĸ
      <input type="submit" value="ɽ">
    </form>
  </body>
</html>