<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(core, fmt) --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<c:set var="value1" value="1234567890.0987654321" />
<c:set var="value2" value="-0.56789" />
<c:set var="formatType" value="number,currency,percent" />
<c:set var="pattern" value="000000.000000,##.0000000,##0.###E00,'#'" />
<fmt:setLocale value="ja_JP" />
<html>
  <head>
    <style type="text/css"><!--
      table     {  width : 100%;  }
      td, th    {  background : #eeeeee;  padding : 3px;  }
      td.right  {  text-align : right;    }
    --></style>
    <title>My First JSTL (fmt05.jsp:formatNumber)</title>
  </head>
  <body>
    <h3>JSTLˤ͡Ψ̲ߤɽ(fmt05.jsp:formatNumber)</h3>
    <table>
      <thead>
        <tr><th>°ε</th><th>${value1}</th><th>${value2}</th></tr>
      </thead>
      <tbody>
        <c:forTokens var="t" items="${formatType}" delims=",">
          <tr>
            <td>type=&quot;${t}&quot;</td>
            <td class="right"><fmt:formatNumber value="${value1}" type="${t}" /></td>
            <td class="right"><fmt:formatNumber value="${value2}" type="${t}" /></td>
          </tr>
        </c:forTokens>
        <c:forTokens var="ptn" items="${pattern}" delims=",">
          <tr>
            <td>pattern=&quot;${ptn}&quot;</td>
            <td class="right"><fmt:formatNumber value="${value1}" type="number" pattern="${ptn}" /></td>
            <td class="right"><fmt:formatNumber value="${value2}" type="number" pattern="${ptn}" /></td>
          </tr>
        </c:forTokens>
        <tr>
          <td>maxIntegerDigits=&quot;5&quot; maxFractionDigits=&quot;2&quot;</td>
          <td class="right"><fmt:formatNumber value="${value1}" maxIntegerDigits="5" maxFractionDigits="2" /></td>
          <td class="right"><fmt:formatNumber value="${value2}" maxIntegerDigits="5" maxFractionDigits="2" /></td>
        </tr>
        <tr>
          <td>groupingUsed=&quot;false&quot;</td>
          <td class="right"><fmt:formatNumber value="${value1}" type="number" maxFractionDigits="5" groupingUsed="false" /></td>
          <td class="right"><fmt:formatNumber value="${value2}" type="number" groupingUsed="false" /></td>
        </tr>
      </tbody>
    </table>
  </body>
</html>