<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(core, fmt) --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<fmt:setLocale value="ja_JP" />
<jsp:useBean id="currentDate" class="java.util.Date" scope="page" />
<html>
  <head>
    <style type="text/css"><!--
      table   {  width      : 100%;     }
      tr      {  background : #dddddd;  }
      td, th  {  padding    : 3pt;      }
    --></style>
    <title>My First JSTL (fmt07.jsp:formatDate)</title>
  </head>
  <body>
    <h3>դӻɽ(fmt07.jsp:formatDate)</h3>
    ߤդȻ : <fmt:formatDate value="${currentDate}" pattern="yyyy/MM/dd EEEE HH:mm:ss (z)" />
    <hr>դɽ
    <table>
      <thead>
        <tr><th></th><th>default</th><th>short</th><th>medium</th><th>long</th><th>full</th></tr>
      </thead>
      <tbody>
        <c:forEach var="locale" items="ja_JP,en_US,fr_FR">
          <fmt:setLocale value="${locale}" />
          <tr>
            <td>${locale}</td>
            <c:forEach var="style" items="default,short,medium,long,full">
              <td><fmt:formatDate value="${currentDate}" type="date" dateStyle="${style}" /></td>
            </c:forEach>
          </tr>
        </c:forEach>
      </tbody>
    </table>
    <hr>ɽ
    <table>
      <thead>
        <tr><th></th><th>default</th><th>short</th><th>medium</th><th>long</th><th>full</th></tr>
      </thead>
      <tbody>
        <c:forEach var="locale" items="ja_JP,en_US,fr_FR">
          <fmt:setLocale value="${locale}" />
          <tr>
            <td>${locale}</td>
            <c:forEach var="style" items="default,short,medium,long,full">
              <td><fmt:formatDate value="${currentDate}" type="time" timeStyle="${style}" /></td>
            </c:forEach>
          </tr>
        </c:forEach>
      </tbody>
    </table>
  </body>
</html>