<?xml version="1.0" encoding="EUC_JP"?>
<xsl:transform version="1.0"
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" indent="yes" encoding="Shift_JIS" />
  <xsl:param name="url" />

  <xsl:template match="/">
    <html>
      <head>
        <style type="text/css">&lt;!--
          table    {  width           : 100%;       }
          td, th   {  background      : #dddddd;
                      padding         : 3pt;        }
          div      {  font-weight     : bold;
                      text-decoration : underline;  }
        --&gt;</style>
        <title>My First JSTL (xml03.jsp:transform, param)</title>
      </head>
      <body>
        <h3>JSTLRSSɽ(xml03.jsp:transform, param)</h3>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="channel">
    <xsl:apply-templates select="image" />
    <div><xsl:value-of select="title" /></div>
    <xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="$url" /></xsl:attribute><xsl:value-of select="$url" /></xsl:element> (RSSȯ)<br />
    <xsl:value-of select="description" />
    <table>
      <thead>
        <tr><th></th></tr>
      </thead>
      <tbody>
        <xsl:apply-templates select="item" />
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="image">
    <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="link" /></xsl:attribute>
      <xsl:element name="img">
        <xsl:attribute name="src"><xsl:value-of select="url" /></xsl:attribute>
        <xsl:attribute name="alt"><xsl:value-of select="title" /></xsl:attribute>
        <xsl:attribute name="style">float:left;</xsl:attribute>
      </xsl:element>
    </xsl:element>
  </xsl:template>

  <xsl:template match="item">
    <tr>
      <td>
        <xsl:element name="a">
          <xsl:attribute name="href"><xsl:value-of select="link" /></xsl:attribute>
          <xsl:value-of select="title" />
        </xsl:element>
      </td>
    </tr>
  </xsl:template>

</xsl:transform>
