<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(core, fmt) --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<c:set var="value1" value="12.345" />
<c:set var="value2" value="98765.4321" />
<fmt:setLocale value="ja_JP" />
<fmt:formatNumber var="currency1" value="${value1}" type="currency" />
<fmt:formatNumber var="currency2" value="${value2}" type="currency" />
<fmt:formatNumber var="percent1"  value="${value1}" type="percent"  />
<fmt:formatNumber var="percent2"  value="${value2}" type="percent"  />
<html>
  <head>
    <style type="text/css"><!--
      table     {  width : 100%;  }
      td, th    {  background : #eeeeee;  padding : 3px;  }
      td.right  {  text-align : right;    }
    --></style>
    <title>My First JSTL (fmt06.jsp:parseNumber)</title>
  </head>
  <body>
    <h3>JSTLˤ͡Ψ̲ߤɽ(fmt06.jsp:parseNumber)</h3>
    <table>
      <thead>
        <tr><th>°ε</th><th>${value1}</th><th>${value2}</th></tr>
      </thead>
      <tbody>
        <tr>
          <td>type=&quot;number&quot;</td>
          <td class="right"><fmt:parseNumber value="${value1}" type="number" /></td>
          <td class="right"><fmt:parseNumber value="${value2}" type="number" /></td>
        </tr>
        <tr>
          <td>type=&quot;currency&quot;</td>
          <td class="right"><fmt:parseNumber value="${currency1}" type="currency" /></td>
          <td class="right"><fmt:parseNumber value="${currency2}" type="currency" /></td>
        </tr>
        <tr>
          <td>type=&quot;percent&quot;</td>
          <td class="right"><fmt:parseNumber value="${percent1}" type="percent"  /></td>
          <td class="right"><fmt:parseNumber value="${percent2}" type="percent"  /></td>
        </tr>
        <tr>
          <td>integerOnly=&quot;true&quot;</td>
          <td class="right"><fmt:parseNumber value="${value1}" integerOnly="true" /></td>
          <td class="right"><fmt:parseNumber value="${value2}" integerOnly="true" /></td>
        </tr>
        <tr>
          <td>parseLocale=&quot;fr_FR&quot;</td>
          <td class="right"><fmt:parseNumber value="12,345" parseLocale="fr_FR" />(12,345)</td>
          <td class="right"><fmt:parseNumber value="98765,4321" parseLocale="fr_FR" />(98765,4321)</td>
        </tr>
        <tr>
          <td>pattern=&quot;000E00&quot;</td>
          <td class="right"><fmt:parseNumber value="123E45" pattern="000E00" />(123E45)</td>
          <td class="right"><fmt:parseNumber value="98765E4321" pattern="000E00" />(98765E4321)</td>
        </tr>
      </tbody>
    </table>
  </body>
</html>