<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(core,fmt) --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<fmt:requestEncoding value="JISAutoDetect" />
<jsp:useBean id="dateObj" class="java.util.Date" scope="page" />
<fmt:formatDate value="${dateObj}" type="both" var="fmtDate" />
<html>
  <head>
    <title>My First JSTL (fmt09.jsp:parseDate)</title>
  </head>
  <body>
    <h3>JSTLˤդѴ(fmt09.jsp:parseDate)</h3>
    <form method="post" action="fmt09.jsp">
      <table>
        <tr>
          <td>դȻ</td>
          <td><input type="text" name="before" size="40" value="${fmtDate}"></td>
        </tr>
        <tr>
          <td></td>
          <td>
            <input type="text" name="locale" size="10" value="ja_JP">
            <c:if test="${!empty param.locale}">(${param.locale})</c:if>
          </td>
        </tr>
        <tr>
          <td>ॾ</td>
          <td><input type="text" name="timezone" size="10" value="GMT+9">
            <c:if test="${!empty param.timezone}">(${param.timezone})</c:if>
          </td>
        </tr>
        <tr>
          <td>ǡμ</td>
          <td>
            <select name="type">
              <c:forEach var="type" items="both,date,time">
                <option value="${type}">${type}
              </c:forEach>
            </select>
            <c:if test="${!empty param.type}">(${param.type})</c:if>
          </td>
        </tr>
        <tr>
          <td>Ϸ()</td>
          <td>
            <select name="datestyle">
             <c:forEach var="datestyle" items="default,short,medium,long,full">
                <option value="${datestyle}">${datestyle}
              </c:forEach>
            </select>
            <c:if test="${!empty param.datestyle}">(${param.datestyle})</c:if>
          </td>
        </tr>
        <tr>
          <td>Ϸ()</td>
          <td>
            <select name="timestyle">
             <c:forEach var="timestyle" items="default,short,medium,long,full">
                <option value="${timestyle}">${timestyle}
              </c:forEach>
            </select>
            <c:if test="${!empty param.timestyle}">(${param.timestyle})</c:if>
          </td>
        </tr>
        <tr>
          <td></td>
          <td>
            <input type="text" name="pattern" size="40"><br>
            <c:if test="${!empty param.pattern}">(${param.pattern})</c:if>
          </td>
        </tr>
      </table>
      <input type="submit" value="Ѵ">
      <input type="reset" value="ꥻå">
    </form>
    <c:catch var="error">
      <c:choose>
        <c:when test="${empty param.pattern}">
          <fmt:parseDate value="${param.before}" type="${param.type}"
                 dateStyle="${param.datestyle}" timeStyle="${param.timestyle}"
                 timeZone="${param.timezone}" parseLocale="${param.locale}"
                 var="after" scope="page" />
        </c:when>
        <c:otherwise>
         <fmt:parseDate pattern="${param.pattern}" timeZone="${param.timezone}"
                 parseLocale="${param.locale}" var="after" scope="page">
            ${param.before}
          </fmt:parseDate>
        </c:otherwise>
      </c:choose>
    </c:catch>
    <c:choose>
      <c:when test="${empty param.before}">
        դѴϤƤ<br>
      </c:when>
      <c:when test="${!empty error}">
        顼(㳰)ȯޤϤդѴѹƤ<br>
        顼(㳰) : ${error}
      </c:when>
      <c:when test="${!empty after}">
        <b>Ѵ</b> ${param.before}<br>
        <b>Ѵ</b> <fmt:formatDate value="${after}" type="${param.type}" />
      </c:when>
    </c:choose>
  </body>
</html>